- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#body.aspect_1)
- [ImportEvaluationsRequest.ConversationList](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ConversationList)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ConversationList.SCHEMA_REPRESENTATION)
- [ImportEvaluationsRequest.ImportOptions](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions.SCHEMA_REPRESENTATION)
- [ImportEvaluationsRequest.ImportOptions.ConflictResolutionStrategy](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions.ConflictResolutionStrategy)

Imports evaluations into the app.

### HTTP request

`POST https://ces.googleapis.com/v1beta/{parent=projects/*/locations/*/apps/*}:importEvaluations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The app to import the evaluations into. Format: `projects/{project}/locations/{location}/apps/{app}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "importOptions": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions`) }, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "conversationList": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ConversationList`) }, "gcsUri": string, "csvContent": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `importOptions` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions`)`` Optional. Options governing the import process for the evaluations. |
| The source of the evaluations to import from. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `conversationList` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ConversationList`)`` The conversations to import the evaluations from. |
| `gcsUri` | `string` The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI from which to import evaluations. The format of this URI must be `gs://<bucket-name>/<object-name>`. |
| `csvContent` | `string (https://developers.google.com/discovery/v1/type-format format)` Raw bytes representing the csv file with the evaluations structure. A base64-encoded string. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/ces`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `ces.evaluations.create`
- `ces.evaluations.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ImportEvaluationsRequest.ConversationList

A list of conversation resource names.

| JSON representation |
|---|
| ``` { "conversations": [ string ] } ``` |

| Fields ||
|---|---|
| `conversations[]` | `string` Optional. Conversation resource names. |

## ImportEvaluationsRequest.ImportOptions

Configuration options for the evaluation import process. These options control how the import behaves, particularly when conflicts arise with existing evaluations data.

| JSON representation |
|---|
| ``` { "conflictResolutionStrategy": enum (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions.ConflictResolutionStrategy`) } ``` |

| Fields ||
|---|---|
| `conflictResolutionStrategy` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/importEvaluations#ImportEvaluationsRequest.ImportOptions.ConflictResolutionStrategy`)`` Optional. The strategy to use when resolving conflicts during import. |

## ImportEvaluationsRequest.ImportOptions.ConflictResolutionStrategy

Defines the strategy for handling conflicts when an evaluation with the same evaluation ID already exists in the app.

| Enums ||
|---|---|
| `CONFLICT_RESOLUTION_STRATEGY_UNSPECIFIED` | The conflict resolution strategy is unspecified. |
| `OVERWRITE` | Overwrite the existing evaluation with the new one. |
| `SKIP` | Keep the existing evaluation and skip the new one. |
| `DUPLICATE` | Keep the existing evaluation and duplicate the new one as a new evaluation. |